// MainFrame.cpp
#include "MainFrame.h"

BEGIN_MESSAGE_MAP(CMainFrame, CFrameWnd)
  ON_WM_PAINT()  
END_MESSAGE_MAP()

CMainFrame::CMainFrame()
{
  Create(NULL,"Acelerando a execuo de OnPaint",
         WS_OVERLAPPEDWINDOW, 
         CRect(0,0,370,100)
         );
  CenterWindow();
  iCountA, iCountB, iCountC, iCountD = 0;
};

void CMainFrame::OnPaint()
{
  CPaintDC dc(this);
  CString  str;
  
  GetClientRect(rctClientArea);
  rctA = CRect(rctClientArea.left, rctClientArea.top, rctClientArea.right/2, rctClientArea.bottom/2);
  rctB = CRect(rctA.right,rctA.top, rctClientArea.right, rctA.bottom);
  rctC = CRect(rctA.left, rctA.bottom, rctA.right, rctClientArea.bottom);
  rctD = CRect(rctC.right, rctC.top, rctB.right,rctC.bottom);
  
  dc.SelectStockObject (NULL_BRUSH);

  if (dc.RectVisible(rctA))
  {
	  ptCenterA = rctA.CenterPoint();
	  str.Format("%d", iCountA);
	  dc.TextOut(ptCenterA.x, ptCenterA.y, str);
	  dc.Rectangle(rctA);  
	  iCountA++;
  }
  if (dc.RectVisible(rctB))
  {
	  ptCenterB = rctB.CenterPoint();
	  str.Format("%d", iCountB);
	  dc.TextOut(ptCenterB.x, ptCenterB.y, str);
	  dc.Rectangle(rctB);  
	  iCountB++;
  }
  if (dc.RectVisible(rctC))
  {
	  ptCenterC = rctC.CenterPoint();
	  str.Format("%d", iCountC);
	  dc.TextOut(ptCenterC.x, ptCenterC.y, str);
	  dc.Rectangle(rctC);  
	  iCountC++;
  }
  if (dc.RectVisible(rctD))
  {
	  ptCenterD = rctD.CenterPoint();
	  str.Format("%d", iCountD);
	  dc.TextOut(ptCenterD.x, ptCenterD.y, str);
	  dc.Rectangle(rctD);  
	  iCountD++;
  }  
}