// MainFrame.cpp
#include "MainFrame.h"

BEGIN_MESSAGE_MAP(CMainFrame, CFrameWnd)
  ON_WM_PAINT()  
END_MESSAGE_MAP()

CMainFrame::CMainFrame()
{
	Create(NULL,
           "Formas Fechadas",
           WS_OVERLAPPEDWINDOW,
           CRect(20,20,500,400));

	CenterWindow();
};

void CMainFrame::OnPaint()
{
	CPaintDC dc(this);
	
	CRect r1(CPoint(10, 10), CPoint(150, 50));
	dc.Rectangle(r1);
	dc.Ellipse(r1);

	CRect r2(CPoint(10, 60), CPoint(150, 100));
	CPoint CornerWidth(50, 20);

	dc.RoundRect(r2, CornerWidth);

	CRect r3(CPoint(10, 60), CPoint(10, 60)+CornerWidth);
	dc.Ellipse(r3);

	CRect r4(CPoint(10, 120), CPoint(150, 180));

	CPoint r4CtrPt = r4.CenterPoint();
	CPoint startPt = r4CtrPt + CPoint(8, -16);
	CPoint endPt = r4CtrPt + CPoint(-20, 10);

	dc.Arc(r4, startPt, endPt);
	r4.OffsetRect(CPoint(100,0));
	dc.Chord(r4, startPt+CPoint(100,0), endPt+CPoint(100,0));
	r4.OffsetRect(CPoint(100,0));
	dc.Pie(r4, startPt+CPoint(200,0), endPt+CPoint(200,0));
}